Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQWidgetItem Class Reference

The TQWidgetItem class is a layout item that represents a widget. More...

`#include <ntqlayout.h>`

Inherits TQLayoutItem.

List of all member functions.

## Public Members

- TQWidgetItem ( TQWidget * w )
- virtual TQSize sizeHint () const
- virtual TQSize minimumSize () const
- virtual TQSize maximumSize () const
- virtual TQSizePolicy::ExpandData expanding () const
- virtual bool isEmpty () const
- virtual void setGeometry ( const TQRect & r )
- virtual TQWidget * widget ()

## Detailed Description

The TQWidgetItem class is a layout item that represents a widget.

This is used by custom layouts.

See also TQLayout, TQLayout::widget(), Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### TQWidgetItem::TQWidgetItem ( TQWidget * w )

Creates an item containing widget w.

### TQSizePolicy::ExpandData TQWidgetItem::expanding () const`[virtual]`

Returns whether this item's widget can make use of more space than sizeHint(). A value of `Vertical` or `Horizontal` means that it wants to grow in only one dimension, whereas `BothDirections` means that it wants to grow in both dimensions and `NoDirection` means that it doesn't want to grow at all.

Reimplemented from TQLayoutItem.

### bool TQWidgetItem::isEmpty () const`[virtual]`

Returns TRUE if the widget has been hidden; otherwise returns FALSE.

Reimplemented from TQLayoutItem.

### TQSize TQWidgetItem::maximumSize () const`[virtual]`

Returns the maximum size of this item.

Reimplemented from TQLayoutItem.

### TQSize TQWidgetItem::minimumSize () const`[virtual]`

Returns the minimum size of this item.

Reimplemented from TQLayoutItem.

### void TQWidgetItem::setGeometry ( const TQRect & r )`[virtual]`

Sets the geometry of this item's widget to be contained within rect r, taking alignment and maximum size into account.

Reimplemented from TQLayoutItem.

### TQSize TQWidgetItem::sizeHint () const`[virtual]`

Returns the preferred size of this item.

Reimplemented from TQLayoutItem.

### TQWidget * TQWidgetItem::widget ()`[virtual]`

Returns the widget managed by this item.

Reimplemented from TQLayoutItem.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.